%global packname  scales
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.0.0
Release:          1%{?dist}
Summary:          Scale Functions for Visualization

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-labeling, R-munsell >= 0.5, R-R6, R-RColorBrewer, R-Rcpp, R-viridisLite
# Suggests:  R-dichromat, R-bit64, R-covr, R-hms, R-testthat >= 2.0
# LinkingTo:
# Enhances:

Requires:         R-labeling
Requires:         R-munsell >= 0.5
Requires:         R-R6
Requires:         R-RColorBrewer
Requires:         R-Rcpp
Requires:         R-viridisLite
Suggests:         R-dichromat
Suggests:         R-hms
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-labeling
BuildRequires:    R-munsell >= 0.5
BuildRequires:    R-R6
BuildRequires:    R-RColorBrewer
BuildRequires:    R-Rcpp-devel
BuildRequires:    R-viridisLite
BuildRequires:    R-dichromat
BuildRequires:    R-bit64
BuildRequires:    R-hms
BuildRequires:    R-testthat >= 2.0

%description
Graphical scales map data to aesthetics, and provide methods for
automatically determining breaks and labels for axes and legends.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Mon Aug 27 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-1
- initial package for Fedora
